<?xml version="1.0" encoding="utf-8"?>
<com.ydl.ydlcommon.view.widgets.MultiSwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/trends_lastr_swl"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/dynamic_white">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/trends_rcv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/dynamic_f5f5f5"
            android:descendantFocusability="blocksDescendants"
            app:layout_behavior="@string/appbar_scrolling_view_behavior" />

        <RelativeLayout
            android:id="@+id/trend_list_no_datas_rel"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_centerInParent="true"
            android:gravity="center"
            android:visibility="gone">

            <ImageView
                android:id="@+id/trend_list_no_datas_iv"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:layout_centerHorizontal="true"
                android:src="@drawable/dynamic_blank" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/trend_list_no_datas_iv"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="15dp"
                android:text="暂无相关记录～"
                android:textColor="@color/dynamic_text_gray" />
        </RelativeLayout>

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/image_scroll_top"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="28dp"
            android:layout_marginBottom="85dp"
            android:background="@color/dynamic_white"
            android:padding="0dp"
            android:scaleType="center"
            android:src="@drawable/dynamic_newsfeed_top"
            android:visibility="visible"
            app:backgroundTint="@color/dynamic_white"
            app:borderWidth="0dp"
            app:fabSize="mini"
            app:layout_anchor="@+id/trends_rcv"
            app:layout_anchorGravity="bottom|right|end"
            app:layout_behavior="com.yidianling.dynamic.common.behavior.ScrollAwareFABBehavior" />

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/recommend_trend_add_iv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="20dp"
            android:layout_marginBottom="20dp"
            android:background="@color/platform_main_theme"
            android:elevation="3dp"
            android:padding="0dp"
            android:src="@drawable/dynamic_newsfeed_new2"
            app:backgroundTint="@color/platform_main_theme"
            app:borderWidth="0dp"
            app:fabSize="normal"
            app:layout_anchor="@+id/trends_rcv"
            app:layout_anchorGravity="bottom|right|end" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>


</com.ydl.ydlcommon.view.widgets.MultiSwipeRefreshLayout>